Summary: API documentation browser
Name: devhelp
Version: 43.0
Release: 7%{?dist}
License: GPLv3+
URL: https://wiki.gnome.org/Apps/Devhelp
Source0: https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires: chrpath desktop-file-utils gettext gobject-introspection-devel itstool meson libappstream-glib
BuildRequires: pkgconfig(gsettings-desktop-schemas) pkgconfig(gtk+-3.0) pkgconfig(webkit2gtk-4.1) 
Requires: devhelp-libs = %{version}-%{release}

%description
Devhelp is a developer tool for browsing and searching API documentation.
It provides an easy way to navigate through libraries and to search by \
function, struct, or macro.
The documentation must be installed locally, so an internet connection \
is not needed to use Devhelp.

%package libs
Summary: Devhelp library

%description libs
Devhelp library

%package devel
Summary: Devhelp library - Development files
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}

%description devel
Devhelp library - Development files

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
    -Dflatpak_build=false \
    -Dgtk_doc=false \
    -Dplugin_gedit=false \
    %{nil}

%meson_build

%install
%meson_install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/devhelp/books
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/devhelp
%find_lang devhelp --with-gnome

%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/metainfo/org.gnome.Devhelp*.appdata.xml
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.Devhelp*.desktop

%files
%license LICENSES/*
%doc NEWS README.md
%{_bindir}/devhelp
%{_datadir}/applications/org.gnome.Devhelp*.desktop
%{_datadir}/dbus-1/services/org.gnome.Devhelp*.service
%{_datadir}/devhelp/
%{_datadir}/glib-2.0/schemas/org.gnome.devhelp.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Devhelp*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Devhelp*-symbolic.svg
%{_datadir}/metainfo/org.gnome.Devhelp*.appdata.xml
%{_mandir}/man1/devhelp.1*

%files libs -f devhelp.lang
%{_libdir}/libdevhelp-3.so.6*
%{_libdir}/girepository-1.0/Devhelp-3.0.typelib
%{_datadir}/glib-2.0/schemas/org.gnome.libdevhelp-3.gschema.xml

%files devel
%{_includedir}/devhelp-3/
%{_libdir}/libdevhelp-3.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Devhelp-3.0.gir

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 24 2023 Xiaojie Chen <jackxjchen@tencent.com> - 43.0-4
- Rebuilt for webkitgtk 2.41.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 13 2022 Xun Zhong <victorzhong@tencent.com> - 43.0-1
- Initial build
